@echo off

set PFAD=%cd%
set TEMP=%cd%\Temp
set FILES=%cd%\BIOS_Files
set DATA=%cd%\Data_Files

del %TEMP%\*.* /Q

del %PFAD%\BIOS_Build.bin /Q
copy %FILES%\*.* %TEMP%\*.*
copy %PFAD%\BIOS_Blank.bin %TEMP%\BIOS_Build.bin
copy %PFAD%\BIOS_Orig.bin %TEMP%\BIOS_Orig.bin
copy %DATA%\CBROM198fixed.exe %TEMP%\CBROM198fixed.exe
copy %DATA%\FindOffset.exe %TEMP%\FindOffset.exe
copy %DATA%\AddRemove.exe %TEMP%\AddRemove.exe
copy %DATA%\A.txt %TEMP%\A.txt
copy %DATA%\B.txt %TEMP%\B.txt
copy %DATA%\C.txt %TEMP%\C.txt
copy %DATA%\D.txt %TEMP%\D.txt

copy %DATA%\DUMMY.BIN %TEMP%\DUMMY.BIN
cd %TEMP%
cls

echo Rebuilding the 'blank' BIOS file using CBROM v1.98
echo.
@echo off


::readd in reverse order
CBROM198fixed.exe BIOS_Build.bin /xgroup awardext.rom
CBROM198fixed.exe BIOS_Build.bin /acpi ACPITBL.BIN
CBROM198fixed.exe BIOS_Build.bin /group18 ggroup.bin
CBROM198fixed.exe BIOS_Build.bin /group20 ffgroup.bin
CBROM198fixed.exe BIOS_Build.bin /tseg0 y2group.bin
CBROM198fixed.exe BIOS_Build.bin /ygroup awardeyt.rom
CBROM198fixed.exe BIOS_Build.bin /group22 tgroup.bin
CBROM198fixed.exe BIOS_Build.bin /group23 t1group.bin
CBROM198fixed.exe BIOS_Build.bin /group24 t2group.bin
CBROM198fixed.exe BIOS_Build.bin /group0 _EN_CODE.BIN
CBROM198fixed.exe BIOS_Build.bin /vga VGA_DVI.BIN
CBROM198fixed.exe BIOS_Build.bin /oem6 VGA_HDMI.BIN
CBROM198fixed.exe BIOS_Build.bin /oem1 UI.BIN
CBROM198fixed.exe BIOS_Build.bin /pci SATARAID.BIN
CBROM198fixed.exe BIOS_Build.bin /pci AHCI.BIN
CBROM198fixed.exe BIOS_Build.bin /oem3 AHCI.DLL

:Remake
::dummy.bin instead of rtegrom.lom dummy.bin size will be adjusted and rtegrom.lom will be added later
CBROM198fixed.exe BIOS_Build.bin /pci DUMMY.BIN

CBROM198fixed.exe BIOS_Build.bin /logo1 DBIOS.BMP
CBROM198fixed.exe BIOS_Build.bin /oem0 SBF.BIN
CBROM198fixed.exe BIOS_Build.bin /GV3 AGESACPU.ROM
CBROM198fixed.exe BIOS_Build.bin /minit MEMINIT.BIN
CBROM198fixed.exe BIOS_Build.bin /htinit HT.DLL


set Offset_BIOS_Orig=0
set Offset_BIOS_Build=0
set Offset_Differenz=0

for /f %%a in ('FindOffset.exe BIOS_Orig.bin 48542E444C4C') do set Offset_BIOS_Orig=%%a
echo Offset_BIOS_Orig: %Offset_BIOS_Orig%

for /f %%b in ('FindOffset.exe BIOS_Build.bin 48542E444C4C') do set Offset_BIOS_Build=%%b
echo Offset_BIOS_Build: %Offset_BIOS_Build%

set /a Offset_Differenz =  %Offset_BIOS_Orig% - %Offset_BIOS_Build%
echo Offset_Differenz: %Offset_Differenz%

if %Offset_Differenz% == 0 (goto Finish)
if %Offset_Differenz% LSS 0 (goto Make2)
if %Offset_Differenz% GTR 0 (goto Make1)

:Make1
AddRemove.exe DUMMY.BIN A %Offset_Differenz%
:: remove again in order until and including dummy.bin now at pci[c]
CBROM198fixed.exe BIOS_Build.bin /htinit release
CBROM198fixed.exe BIOS_Build.bin /minit release
CBROM198fixed.exe BIOS_Build.bin /GV3 release
CBROM198fixed.exe BIOS_Build.bin /pci release < C.txt
echo Create new Dummy.bin and adding ROMs!!
goto Remake

:Make2
set /a Offset_Differenz = Offset_Differenz * -1
AddRemove.exe DUMMY.BIN R %Offset_Differenz%
:: remove again in order until and including dummy.bin now at pci[c]
CBROM198fixed.exe BIOS_Build.bin /htinit release
CBROM198fixed.exe BIOS_Build.bin /minit release
CBROM198fixed.exe BIOS_Build.bin /GV3 release
CBROM198fixed.exe BIOS_Build.bin /pci release < C.txt
echo Create new Dummy.bin and adding ROMs!!
goto Remake

:Finish
:: add still missing parts
CBROM198fixed.exe BIOS_Build.bin /2pe32 HT32GATE.BIN
CBROM198fixed.exe BIOS_Build.bin /logo am2_ds3.bmp
CBROM198fixed.exe BIOS_Build.bin /pci rtegrom.lom


CBROM198fixed.exe BIOS_Build.bin /D


echo.
echo.

copy %TEMP%\BIOS_Build.bin %PFAD%\BIOS_Build.bin

del %TEMP%\*.* /Q

echo.
echo All done!!
echo.
echo.

cd ..

pause
exit /b
